security-policy-match from the API

cancel
Showing results for 
Search instead for 
Did you mean: 

security-policy-match from the API

L0 Member

I'm trying to write a tool that will test security policy from a web portal. I cannot seem to get the command working properly, though. The URL I'm using on the firewall is this:

https://host.local/api/?key=keyhere&type=op&cmd=<test><security-policy-match><source>192.168.2.1</so...

The key is correct; I keep getting HTTP 400 error: Unsupported command. I tried encoding the command and the URL several different ways in case that was the issue, but to no avail. I can't seem to find a valid example of this. Has anyone else had better luck with operational commands?

1 ACCEPTED SOLUTION

Accepted Solutions

I got back a response from support that it is not, but that it is planned to return. I am working to find out more... it's a highly useful function.

View solution in original post

3 REPLIES 3

L4 Transporter

is this on 6.0 ?

I got back a response from support that it is not, but that it is planned to return. I am working to find out more... it's a highly useful function.

View solution in original post

L0 Member

When is this going to be fixed?

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the LIVEcommunity as a whole!

The LIVEcommunity thanks you for your participation!